[snap] Upgrade from deb to snap forgets saved passwords

Bug #1836616 reported by Olivier Tilloy on 2019-07-15
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
chromium-browser (Ubuntu)
High
Olivier Tilloy

Bug Description

On Ubuntu 19.10, when upgrading from the deb package to the snap¹, the password-manager-service interface is not auto-connected. As a result, chromium is unable to talk to org.freedesktop.Secret.Service over D-Bus, and it falls back to the basic unencrypted stored.

See https://forum.snapcraft.io/t/auto-connecting-the-cups-control-and-password-manager-service-interfaces-for-the-chromium-snap/4592 for why auto-connection was denied for the password-manager-service interface.

This is bad user experience, as the transition should be seamless.

Aside of auto-connection, one possible solution would be to do the connection in the deb’s pre-install script (which installs the snap from the store, and is executed as root). That has pretty much the same security implications though, so it requires input from the security team before proceeding.

Yet another solution would be for the wrapper script (/usr/bin/chromium-browser) to extract the stored passwords from the keyring and import them into the basic unencrypted sqlite store for the snap, but that feels clunky and fragile.

Or a log message / dialog box at startup to inform the user that they should connect the interface manually. But that's not great UX, and doesn't provide a seamless transition.

¹ https://discourse.ubuntu.com/t/call-for-testing-chromium-browser-deb-to-snap-transition/11179

Olivier Tilloy (osomon) wrote :
Changed in chromium-browser (Ubuntu):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 75.0.3770.142-0ubuntu1~snap1

---------------
chromium-browser (75.0.3770.142-0ubuntu1~snap1) eoan; urgency=medium

  * debian/apport/chromium-browser.py: update hook to call 'snap connections'
    instead of the deprecated 'snap interfaces'
  * debian/chromium-browser.preinst: connect the password-manager-service
    interface for package upgrades only (LP: #1836616)

 -- Olivier Tilloy <email address hidden> Wed, 24 Jul 2019 14:21:16 +0200

Changed in chromium-browser (Ubuntu):
status: Fix Committed → Fix Released
Simon Quigley (tsimonq2) wrote :

This results in a regression as seen in bug 1838821.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers